{%- from 'components/schema_header.html.jinja' import schema_header -%}
{%- from 'components/xdf_versions.html.jinja' import version_picker -%}
{%- from 'components/help.html.jinja' import empty_entry, optional_text, glossary_link -%}
{%- from 'components/metadata.html.jinja' import metadata_text, metadata_card, baustein_referenz, simple_attribute -%}
{%-
  from 'components/xdatenfelder_helper.html.jinja' import relation_referenzen,
  simple_attribute_optional, detail_subhead,
  detail_subhead_top, stichwoerter, handlungsgrundlage
-%}
{%- extends "root.html.jinja" -%}

{% block page %}
  {{ schema_header(page.header, baseurl) }}
  {# content section #}
  <div class="container pt-4 mb-5">
    <div class="row">
      <section class="col-lg-8 mb-5" aria-label="Inhalt">
        <h2 class="visually-hidden">Inhalt</h2>
        {{ detail_subhead_top("Definition", "https://docs.fitko.de/fim/docs/glossar/#definition") }}
        {{ optional_text(page.definition) }}

        {{ detail_subhead("Handlungsgrundlage", "https://docs.fitko.de/fim/docs/glossar/#handlungsgrundlage") }}
        {{ handlungsgrundlage(page.bezug) }}

        <div class="mb-4 mt-3">
          {{ simple_attribute_optional("Gültig ab", page.gueltig_ab, "https://docs.fitko.de/fim/docs/glossar/#gueltig_ab_bis") }}
          {{ simple_attribute_optional("Gültig bis", page.gueltig_bis, "https://docs.fitko.de/fim/docs/glossar/#gueltig_ab_bis") }}
        </div>

        {{ detail_subhead("Formularangaben", none) }}

        <div class="mb-4 mt-3">
          {{ simple_attribute_optional("Bezeichnung", page.bezeichnung, "https://docs.fitko.de/fim/docs/glossar/#bezeichnung") }}
          {{ simple_attribute_optional("Hilfetext", page.hilfetext, "https://docs.fitko.de/fim/docs/glossar/#hilfetext") }}
        </div>

        {{ detail_subhead("Technische Beschreibung", "https://docs.fitko.de/fim/docs/glossar/#technische_beschreibung") }}
        {{ optional_text(page.technische_beschreibung) }}

        {{ detail_subhead("Stichwörter", "https://docs.fitko.de/fim/docs/glossar/#stichwoerter") }}
        {{ stichwoerter(page.stichwoerter) }}

        {{ detail_subhead("Ableitungsmodifikationen", "https://docs.fitko.de/fim/docs/glossar/#ableitungsmodifikation") }}
        <div class="mb-4 mt-3">
          {{ simple_attribute_optional("Repräsentation", page.ableitungsmodifikationen_repraesentation, none) }}
          {{ simple_attribute_optional("Struktur", page.ableitungsmodifikationen_struktur, none) }}
        </div>

        {{ detail_subhead("Versionshinweis", "https://docs.fitko.de/fim/docs/glossar/#versionshinweis") }}
        {{ optional_text(page.versionshinweis) }}
      </section>

      <aside
        class="col-lg-4 order-lg-last"
        aria-label="Zusätzliche Informationen"
      >
        {{ version_picker(page.available_versions) }}

        {% call metadata_card("Zugehörige Datenschemata", "https://docs.fitko.de/fim/docs/glossar/#zugehoerige_datenschemata") %}
          {{ relation_referenzen(page.relations) }}
        {% endcall %}

        {% call metadata_card("Zugehörige Dokumentsteckbriefe", "https://docs.fitko.de/fim/docs/glossar/#zugehoerige_dokumentsteckbriefe") %}
          {{ baustein_referenz(page.dokumentsteckbrief) }}
        {% endcall %}

        {% call metadata_card("Downloads", "https://docs.fitko.de/fim/docs/glossar/#downloads") %}
          <div class="list-group list-group-flush">
            {% for item in page.downloads %}
              <div
                class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center"
              >
                <a
                  href="{{ item.href }}"
                  class="w-100 text-decoration-none color-inherit text-body d-flex flex-row gap-2 align-items-center"
                >
                  <i class="bi bi-download text-primary" aria-hidden="true"></i>
                  {{ item.label }}
                </a>
                <div class="vr my-1"></div>
                <button
                  type="button"
                  class="btn-icon p-0 ms-auto copy-link-btn"
                  aria-label="Kopiere Link zu {{ item.label }}"
                  data-href="{{ item.href }}"
                  data-bs-toggle="tooltip"
                  data-bs-placement="left"
                  data-bs-title="Download-Link kopieren"
                >
                  <i class="bi bi-link-45deg fs-5" aria-hidden="true"></i>
                </button>
              </div>
            {% endfor %}
            <a
              href="{{ page.downloads_tab.path }}"
              class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center justify-content-between"
            >
              <span>Alle Downloads anzeigen</span>
              <i class="text-muted bi bi-chevron-right" aria-hidden="true"></i>
            </a>
          </div>
        {% endcall %}

        <div class="border-start px-3">
          <h2 class="visually-hidden">Metadaten</h2>
          {{ metadata_text("Status gesetzt durch", "https://docs.fitko.de/fim/docs/glossar/#status_gesetzt_durch", page.status_gesetzt_durch) }}
          {{ metadata_text("Status gesetzt am", "https://docs.fitko.de/fim/docs/glossar/#status_gesetzt_am", page.status_gesetzt_am) }}
          {{ metadata_text("Letzte Änderung (Redaktion)", "https://docs.fitko.de/fim/docs/glossar/#letzte_aenderung_redaktion", page.letzte_aenderung) }}
          {{ metadata_text("Letzte Aktualisierung im FIM Portal", "https://docs.fitko.de/fim/docs/glossar/#letzte_aktualisierung_im_fim_portal", page.last_update) }}
          {{ metadata_text("Veröffentlicht am", "https://docs.fitko.de/fim/docs/glossar/#veroeffentlicht_am", page.veroeffentlicht_am) }}
        </div>
      </aside>
    </div>
  </div>
{% endblock %}
